Bug 2172030 - python3-sympy recommends nonexistent python3dist(antlr4-runtime)'
Summary: python3-sympy recommends nonexistent python3dist(antlr4-runtime)'
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: sympy
Version: 37
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jerry James
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2023-02-21 09:02 UTC by Göran Uddeborg
Modified: 2023-03-11 03:05 UTC (History)
4 users (show)

Fixed In Version: sympy-1.11.1-4.fc37 sympy-1.11.1-4.fc38
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-03-02 02:48:37 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Göran Uddeborg 2023-02-21 09:02:56 UTC
Description of problem:
There does not seem to be any package in the Fedora distribution which provides "python3dist(antlr4-runtime)", recommended by python3-sympy.

Version-Release number of selected component (if applicable):
python3-sympy-0:1.11.1-2.fc37.x86_64


Steps to Reproduce:
1. dnf repoquery --recommends python3-sympy | grep antlr4
2. dnf repoquery --whatprovides 'python3dist(antlr4-runtime)'

Actual results:
The first command lists "python3dist(antlr4-runtime)", the second lists nothing.

Expected results:
Both or neither command should give any output.

Comment 1 Jerry James 2023-02-21 16:14:08 UTC
That should be 'python3dist(antlr4-python3-runtime)'.  Thanks for catching this!  I will push a fix.

Comment 2 Fedora Update System 2023-02-21 20:10:37 UTC
FEDORA-2023-12eb5ca6f7 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2023-12eb5ca6f7

Comment 3 Fedora Update System 2023-02-22 11:24:49 UTC
FEDORA-2023-12eb5ca6f7 has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-12eb5ca6f7`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-12eb5ca6f7

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 4 Fedora Update System 2023-02-22 13:31:59 UTC
FEDORA-2023-4dfcab08af has been pushed to the Fedora 38 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-4dfcab08af

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2023-03-02 02:48:37 UTC
FEDORA-2023-12eb5ca6f7 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 6 Fedora Update System 2023-03-11 03:05:45 UTC
FEDORA-2023-4dfcab08af has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.